System.ServiceModel 4.0.0.0 System.Enum

Use the enumeration to control impersonation in indigo1 applications.

This setting interacts with a configuration property on in the following table.

Specifies the impersonation behavior for a service operation on a service instance.

- Field
  4.0.0.0
  System.ServiceModel.ImpersonationOption

  Impersonation is performed if credentials are available and is equal to true.

- Field
  4.0.0.0
  System.ServiceModel.ImpersonationOption

  Impersonation is not performed. If is equal to true, a validation exception occurs at service startup time.

- Field
  4.0.0.0
  System.ServiceModel.ImpersonationOption

  Impersonation is required.